summaryrefslogtreecommitdiffstats
path: root/debian/icinga2-common.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-13 11:32:39 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-13 11:32:39 +0000
commitb86b946791f8dcc23ed6c47d513e34ebb22c1610 (patch)
tree9893d33a249fbf175f69e9f18a7fa0b84718ec24 /debian/icinga2-common.postrm
parentAdding upstream version 2.14.2. (diff)
downloadicinga2-b86b946791f8dcc23ed6c47d513e34ebb22c1610.tar.xz
icinga2-b86b946791f8dcc23ed6c47d513e34ebb22c1610.zip
Adding debian version 2.14.2-1.debian/2.14.2-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/icinga2-common.postrm')
-rw-r--r--debian/icinga2-common.postrm29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/icinga2-common.postrm b/debian/icinga2-common.postrm
new file mode 100644
index 0000000..d61f582
--- /dev/null
+++ b/debian/icinga2-common.postrm
@@ -0,0 +1,29 @@
+#!/bin/sh
+# postrm script for icinga2-common
+
+set -e
+
+case "$1" in
+ purge)
+ rm -rf /etc/icinga2/features-enabled/
+ rm -rf /var/lib/icinga2/
+ rm -rf /var/log/icinga2/
+ rm -rf /var/cache/icinga2/
+ rm -rf /var/spool/icinga2/
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0